osl::move_probability::SquareY Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::SquareY:

## Public Types

enum | { DIM = 9*PTYPE_SIZE*16 }

## Public Member Functions

| SquareY ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static int | fromTo (Square to, Square from)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 186 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 190 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## SquareY()

osl::move_probability::SquareY::SquareY | ( |  | ) |

inline

Definition at line 193 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## fromTo()

int osl::move_probability::SquareY::fromTo | ( | Square | to,
|  | Square | from )

inline static

Definition at line 196 of file move_probability/feature.h.

References osl::Square::y().

Referenced by osl::move_probability::KingRelativeX::match(), osl::move_probability::KingRelativeY::match(), and match().

## match()

double osl::move_probability::SquareY::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 200 of file move_probability/feature.h.

References osl::move_probability::Feature::dimension(), osl::Move::from(), fromTo(), osl::Move::isDrop(), osl::Move::isPromotion(), osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::player, osl::move_probability::StateInfo::progress8(), osl::Move::ptype(), osl::PTYPE_SIZE, osl::Square::squareForBlack(), osl::Move::to(), and osl::Square::y().

The documentation for this class was generated from the following file:

- move_probability/feature.h